Bugzilla (bugzilla.redhat.com) will be under maintenance for infrastructure upgrades and will not be available on July 31st between 12:30 AM - 05:30 AM UTC. We appreciate your understanding and patience. You can follow status.redhat.com for details.
Bug 978984 - Update the add-user utility to allow for file name overrides.
Summary: Update the add-user utility to allow for file name overrides.
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: JBoss Enterprise Application Platform 6
Classification: JBoss
Component: Domain Management
Version: unspecified
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ER1
: EAP 6.2.0
Assignee: Darran Lofthouse
QA Contact:
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2013-06-27 12:33 UTC by Darran Lofthouse
Modified: 2014-05-27 01:29 UTC (History)
4 users (show)

Fixed In Version:
Doc Type: Enhancement
Doc Text:
The add user script (`adduser.sh` and `adduser.bat`) has been enhanced to allow different properties files to be specified for both users and groups. The user file can be specified with the `-up` or `--user-properties` parameters. The group file can be specified with the `-gp` or `--group-properties` parameters. Example Usage: ---- [admin@server bin]$ ./add-user.sh -up audit-users.properties -gp audit-groups.properties ----
Clone Of:
Environment:
Last Closed: 2013-12-15 16:18:18 UTC
Type: Bug


Attachments (Terms of Use)


Links
System ID Private Priority Status Summary Last Updated
Red Hat Issue Tracker PRODMGT-169 0 Major Closed Modify the add_user script to take a properties file name on the command line when starting add-user 2018-04-03 18:42:36 UTC
Red Hat Issue Tracker WFLY-218 0 Critical Closed Update add-user utility to allow overrides of property file name. 2018-04-03 18:42:36 UTC

Description Darran Lofthouse 2013-06-27 12:33:28 UTC
Description of problem:

The add-user utility already contains the capability to override the path to the properties files being manipulated, this issue is to also allow the override of the file name.

Comment 2 JBoss JIRA Server 2013-06-27 12:43:01 UTC
Darran Lofthouse <darran.lofthouse@jboss.com> updated the status of jira WFLY-218 to Coding In Progress

Comment 3 Rostislav Svoboda 2013-06-27 13:33:16 UTC
I think this should be included in EAP 6.2

6.1.1 is bug fixes release

Comment 4 Darran Lofthouse 2013-08-23 10:22:16 UTC
devel_ack+

Comment 7 sgilda 2013-09-05 17:11:19 UTC
Darran, I get a 404 on the above link.

Comment 9 sgilda 2013-09-05 19:47:01 UTC
Thanks bstansberry!

Comment 10 Petr Kremensky 2013-09-20 10:36:12 UTC
Verified on EAP 6.2.0.ER1

Comment 14 Darran Lofthouse 2013-10-08 11:32:19 UTC
As this bug seems stuck in a loop I am providing a dev NACK until this bot can actually make up it's mind if this bug should have an ACK for the release or not.

Comment 17 Petr Kremensky 2013-11-15 08:14:37 UTC
Hi Darrin,
please include also that properties file must exists or error is thrown.
See BZ1020151 for details.


Note You need to log in before you can comment on or make changes to this bug.